# Uses of Class
org.opensaml.storage.impl.memcached.MemcachedStorageRecord

Packages that use MemcachedStorageRecord
Package
Description
org.opensaml.storage.impl.memcached
Implementation of memcached `StorageService`.

## Uses of MemcachedStorageRecord in org.opensaml.storage.impl.memcached

Fields in org.opensaml.storage.impl.memcached with type parameters of type MemcachedStorageRecord
Modifier and Type
Field
Description
`private final net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`
MemcachedStorageService.`storageRecordTranscoder`
Handles conversion of `MemcachedStorageRecord` to bytes and vice versa.
Methods in org.opensaml.storage.impl.memcached that return MemcachedStorageRecord
Modifier and Type
Method
Description
`MemcachedStorageRecord<?>`
StorageRecordTranscoder.`decode(net.spy.memcached.CachedData d)`
Methods in org.opensaml.storage.impl.memcached with parameters of type MemcachedStorageRecord
Modifier and Type
Method
Description
`net.spy.memcached.CachedData`
StorageRecordTranscoder.`encode(MemcachedStorageRecord<?> o)`